Subject: Re: bug#74637: [PATCH] Make view-read-only behave like view-file

From: Björn Bidar <[email-masked]>
Date: Tue, 03 Dec 2024 21:39:00 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 03 Dec 2024 12:06:11 +0200
>> 
>> >> > That's an incompatible behavior change.  Is that justified?  How can
>> >> > we be sure that everyone agrees with your interpretation of this mode?
>> >> 
>> >> All other view-file like modes behave like this, you view the file and
>> >> leave the file with q.
>> >
>> > That doesn't change the fact that view-mode didn't behave like that,
>> > until now.
>> 
>> View-mode isn't change outside of the specific situation of opening a
>> file which isn't writable.
>
> It's still a significant change.  Killing a buffer is not a minor
> think, and restoring it is not always easy, or even possible (e.g.,
> the file could have been deleted in the meantime).

In such instances the files are usually those which are shared by other
users or installed by the system administrator if the file was deleted
it could have been only by the owner or those with the power to delete
them.

Files which the user owns wouldn't be affected.

> My opinion is that if we install this, we need to provide some way of
> getting the previous behavior back, for those who may want it.
>

Should this also affected files through the other instances where
view-mode kills the buffer if not modified? In the instances affected by
the patch view-read-only is more implicit e.g. when following a reference with
xref to a read-only file but view-file is still similar.